local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="jerry",

		Texture="../_Graphics/jerry",


		InitCommand=function(self)--UR

			self:xy(SCREEN_CENTER_X-100-20-100,SCREEN_CENTER_Y-10-100):rotationy(90) 
		end, --InitCommand()
		

		OnCommand=function(self)

			self:decelerate(bt*0.25):rotationy(0)
			:sleep(bt*3.75)
			:accelerate(bt*0.25):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite	

	Def.Sprite{

		Name="elaine",

		Texture="../_Graphics/elaine",


		InitCommand=function(self)--LC
			self:xy(SCREEN_CENTER_X,SCREEN_CENTER_Y+10+100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*0.5):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*3.25)
			:accelerate(bt*0.25):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite	

	Def.Sprite{

		Name="george",

		Texture="../_Graphics/george.png",


		InitCommand=function(self)--UL

			self:xy(SCREEN_CENTER_X+100+20+100,SCREEN_CENTER_Y-10-100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*1):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*1.75)
			:accelerate(bt*0.5):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite	

	Def.Sprite{

		Name="kramer",

		Texture="../_Graphics/kramer",


		InitCommand=function(self)--LR

			self:xy(SCREEN_CENTER_X-100-20-100,SCREEN_CENTER_Y+10+100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*2):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*1.75)
			:accelerate(bt*0.5):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite	

	

	Def.Sprite{

		Name="lanky",

		Texture="../_Graphics/lanky",


		InitCommand=function(self)--UC

			self:xy(SCREEN_CENTER_X,SCREEN_CENTER_Y-10-100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*2.5):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*1.25)
			:accelerate(bt*0.5):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite
	Def.Sprite{

		Name="george2",

		Texture="../_Graphics/george2",


		InitCommand=function(self)

			self:xy(SCREEN_CENTER_X+100+20+100,SCREEN_CENTER_Y-10-100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*3.5):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*0.75)
			:accelerate(bt*0.5):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite	

	Def.Sprite{

		Name="donkey",

		Texture="../_Graphics/dkeyes",


		InitCommand=function(self)--LL

			self:xy(SCREEN_CENTER_X+100+20+100,SCREEN_CENTER_Y+10+100):rotationy(90)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*3):decelerate(bt*0.25):rotationy(0)
			:sleep(bt*0.75)
			:accelerate(bt*0.5):rotationy(-90)
 		end --OnCommand()

		
	}, --Def.Sprite
}